MyGUI::Bitwise Namespace Reference

## Functions

template<typename Type>
static Type | firstPO2From (Type _value)
template<typename Type>
static bool | isPO2 (Type _value)

## Function Documentation

## firstPO2From()

template<typename Type>

Type MyGUI::Bitwise::firstPO2From | ( | Type | _value | ) |

inline static

Returns the closest power-of-two number greater or equal to value.

Definition at line 16 of file MyGUI_Bitwise.h.

## isPO2()

template<typename Type>

bool MyGUI::Bitwise::isPO2 | ( | Type | _value | ) |

inline static

Determines whether the number is power-of-two or not.

Definition at line 30 of file MyGUI_Bitwise.h.